$ErrorActionPreference = 'Stop'; # stop on all errors

$packagename = 'goliothctl'

$packageversion

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$zip32bit = Join-Path $toolsDir goliothctl_v"$packageversion"_windows_32bit.zip
$zip64bit = Join-Path $toolsDir goliothctl_v"$packageversion"_windows_64bit.zip

$dir32bit = Join-Path $toolsDir '32bit'
$dir64bit = Join-Path $toolsDir '64bit'

$file32bit = Join-Path $dir32bit 'goliothctl'
$file64bit = Join-Path $dir64bit 'goliothctl'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE' #only one of these: exe, msi, msu
  file          = $file32bit
  file64        = $file64bit
  softwareName  = 'goliothctl*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  validExitCodes= @(0, 3010, 1641)
}

#New-Item -Force -Path $dir32bit -ItemType Directory
#Set-Location -Path $dir32bit
#tar -xzf $gz32bit #--directory $dir32bit
#New-Item -Force -Path $dir64bit -ItemType Directory
#Set-Location -Path $dir64bit
#tar -xzf $gz64bit

Get-ChocolateyUnzip $zip32bit $dir32bit
Get-ChocolateyUnzip $zip64bit $dir64bit

Install-ChocolateyInstallPackage @packageArgs # https://docs.chocolatey.org/en-us/create/functions/install-chocolateyinstallpackage